Download it now!
Bug 73526 - bad PDF export of slide background with (specific?) gradients
Summary: bad PDF export of slide background with (specific?) gradients
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2014-01-12 21:15 UTC by tommy27
Modified: 2019-04-23 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample slide background gradients (16.03 KB, application/vnd.oasis.opendocument.presentation)
2014-01-12 21:15 UTC, tommy27
Details
ODP PDF comparison screenshot (48.96 KB, image/png)
2014-01-12 21:17 UTC, tommy27
Details
New test slide to check the bug. (265.16 KB, application/vnd.oasis.opendocument.presentation)
2018-03-05 10:40 UTC, Adeik
Details
New comparison to see the bug (144.76 KB, application/pdf)
2018-03-05 10:40 UTC, Adeik
Details
Rectangle w/ gradient & w/o linear transparency (ODP) (297.17 KB, application/vnd.oasis.opendocument.presentation)
2018-04-22 13:38 UTC, Adeik
Details
Rectangle w/ gradient & w/o linear transparency (PDF) (1.88 KB, application/pdf)
2018-04-22 13:39 UTC, Adeik
Details
Rectangle w/ gradient & w/ linear transparency (ODP) (315.40 KB, application/vnd.oasis.opendocument.presentation)
2018-04-22 13:40 UTC, Adeik
Details
Rectangle w/ gradient & w/ linear transparency (PDF) (30.97 KB, application/pdf)
2018-04-22 13:41 UTC, Adeik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2014-01-12 21:15:21 UTC
Created attachment 91912 [details]
sample slide background gradients

Impress slided with gradients in the background are badly exported to .pdf with tiny white rectangles appearing in output file.

steps to reproduce

- open attached .odp file
- export it as .pdf
- open ouput in PDF reader

Expected behaviour: the blue gradient background in the .pdf should look the same as in the .odg source.

Current behaviour: tiny white rectangles appear in output file.

issue is present in all LibO releases (from 3.3.0 to 4.2.0 RC1) and affects OOo and AOO as well.
Comment 1 tommy27 2014-01-12 21:17:49 UTC
Created attachment 91913 [details]
ODP PDF comparison screenshot
Comment 2 Zeki Bildirici 2014-01-12 21:43:48 UTC
Comment on attachment 91912 [details]
sample slide background gradients

changed mime type
Comment 3 Zeki Bildirici 2014-01-12 21:47:04 UTC
Hi,

I can confirm with LibreOffice Impress Version: 4.2.0.1
Build ID: 420m0(Build:1)
Comment 4 tommy27 2014-05-04 01:14:29 UTC
still a problem with Version: 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@42, Branch:master, Time: 2014-04-30_02:30:23
Comment 5 tommy27 2014-07-20 11:09:08 UTC
still reproducible with LibO 4.2.5.2 and 4.4.0.0.alpha0+
Build ID: b9dca968c6fd0ab5ca140c65b0e54d153cd34986
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-18_22:51:20
Comment 6 tommy27 2015-06-16 20:46:14 UTC
still reproducible with LibO 4.4.3.2
Comment 7 tommy27 2015-07-23 05:13:07 UTC
still reproducible with LibO 5.1.0.0.alpha1+ (x64)
Build ID: 591238e8a4f1164adb51d3bada0cd90c3e7c655e
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-22_00:03:41
Locale: en-US (it_IT)

raising importance from medium to high
Comment 8 QA Administrators 2016-09-20 10:18:40 UTC Comment hidden (obsolete)
Comment 9 Adeik 2018-03-05 10:39:08 UTC
Greetings,

I can confirm that the bug still exists in LibreOffice 6.0.2-1. I'm running Arch Linux x86_64 Linux 4.15.4-1-ARCH with KDE Plasma 5.12.2-1.

I have downloaded the sample slide and the white lines are there, although I have arrived to this bug through an experience of my own. I attach a new gradient slide, with analogous results that can be seen in the pdf comparison. The slide has four triangles with transparency and gradients that superpose.

The new slide is testslide.odp and the comparison can be seen in testslide_bug.pdf.
Comment 10 Adeik 2018-03-05 10:40:21 UTC
Created attachment 140345 [details]
New test slide to check the bug.
Comment 11 Adeik 2018-03-05 10:40:52 UTC
Created attachment 140346 [details]
New comparison to see the bug
Comment 12 dxt.tfg 2018-04-06 12:02:22 UTC
I have just tested the attached file of Adeik and I could not reproduce the bug with LibreOffice 5.4.6.2 and 6.0.3.1.

However, with the old sample file from 2014, the bug was reproducible in both versions of LibreOffice.

Trying enabling/disabling OpenGl had no effect in both cases.

I run LibreOffice on Linux Mint 18.3 (or Ubuntu Xenial 16.04) with Kernel 4.14.
Comment 13 Adeik 2018-04-19 13:09:56 UTC
(In reply to dxt.tfg from comment #12)
> I have just tested the attached file of Adeik and I could not reproduce the
> bug with LibreOffice 5.4.6.2 and 6.0.3.1.
> 
> However, with the old sample file from 2014, the bug was reproducible in
> both versions of LibreOffice.
> 
> Trying enabling/disabling OpenGl had no effect in both cases.
> 
> I run LibreOffice on Linux Mint 18.3 (or Ubuntu Xenial 16.04) with Kernel
> 4.14.

I just retried my own slide downloading it from here, and I obtained again the same result (as before, Arch Linux x86_64 with Linux 4.15.15-1 under KDE Plasma 5.12.4.
Comment 14 Cor Nouws 2018-04-19 20:25:16 UTC
creating a new file in Version: 6.1.0.0.alpha0+
Build ID: 0f93692fda4226323422cf82ce34ae4bd5e22fab
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-16_23:39:49
Locale: nl-NL (nl_NL.UTF-8); Calc: group

gradient in page background 
export to PDF is correct.
So something special with attachment 91912 [details] ??
Comment 15 Adeik 2018-04-22 13:36:33 UTC
I don't know in the case of the first files uploaded, but I know what I did in my case.

It's not only a background with gradient. In the slide I attached I use two triangles that overlap. Each one has a gradient with also linear transparency that goes, in a particular angle, from blue to white.

I think that I might have managed to discover another thing. Just to check, I have done a new slide consistent in a simple rectangle (only ONE) with normal gradient, without transparency. When I exported it to PDF format, the slide shown as expected.

However, when I added to that gradient a linear transparency, and I then got the PDF, I could see some lines similar to what I got in my previous slide and the ones that were first submitted. So it would seem that the gradient + linear transparency might be related to the source of this problem (I'll attach the examples now).
Comment 16 Adeik 2018-04-22 13:38:45 UTC
Created attachment 141536 [details]
Rectangle w/ gradient & w/o linear transparency (ODP)
Comment 17 Adeik 2018-04-22 13:39:42 UTC
Created attachment 141537 [details]
Rectangle w/ gradient & w/o linear transparency (PDF)
Comment 18 Adeik 2018-04-22 13:40:13 UTC
Created attachment 141538 [details]
Rectangle w/ gradient & w/ linear transparency (ODP)
Comment 19 Adeik 2018-04-22 13:41:14 UTC
Created attachment 141539 [details]
Rectangle w/ gradient & w/ linear transparency (PDF)
Comment 20 QA Administrators 2019-04-23 02:48:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug